/*
 * Copyright 2005 by Kappich+Kniß Systemberatung Aachen (K2S)
 * 
 * This file is part of de.bsvrz.dav.daf.
 * 
 * de.bsvrz.dav.daf is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.dav.daf is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with de.bsvrz.dav.daf; If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.dav.daf.main.config;

/**
 * Attributlisten dienen zur Strukturierung von Attributen innerhalb von Attributgruppen. Mit Attributlisten
 * können mehrere Attribute zu einem Block zusammengefasst und wie einzelne Attribute in Attributgruppen oder
 * anderen Attributlisten verwendet werden. Attributlisten erben die Eigenschaft mehrere Attribute
 * zusammenzufassen von {@link AttributeSet Attributmengen} und die Eigenschaft wie normale Attribut-Typen von
 * Attributen in Attributgruppen und anderen Attributlisten verwendet werden von der {@link AttributeType
 * Attribut-Typ-Schnittstellenklasse}.
 *
 * @author Kappich+Kniß Systemberatung Aachen (K2S)
 * @author Roland Schmitz (rs)
 * @author Stephan Homeyer (sth)
 * @version $Revision$ / $Date$ / ($Author$)
 */
public interface AttributeListDefinition extends AttributeType, AttributeSet {
}

